package modele;

import java.net.URL;

import javax.swing.ImageIcon;
import javax.swing.JLabel;

import controleur.GLOBAL;

/**
 * Gestion des murs
 *
 */
public class Mur extends Objet {

	/**
	 * Constructeur
	 */
	public Mur() {
		posX = (int) Math.round(Math.random() * (GLOBAL.tailleXArene - GLOBAL.largeurMur)) ;
		posY = (int) Math.round(Math.random() * (GLOBAL.tailleYArene - GLOBAL.hauteurMur)) ;
		
		label = new JLabel();
		label.setBounds(posX, posY, GLOBAL.largeurMur, GLOBAL.hauteurMur);
		
		URL resource = getClass().getClassLoader().getResource("murs/mur.gif");
		label.setIcon(new ImageIcon(resource));
	}
	
}
